Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Sign plugin(How?)
Sign plugin [message #692476] Mon, 04 July 2011 14:05 Go to next message
MarcoGT  is currently offline MarcoGT Friend
Messages: 77
Registered: May 2011
Member
Hi all,

I am working on Eclipse XML Editor extensions.
I have downloaded source from Eclipse CVS.

If I run it from inside Eclipse everything is fine.
So I decided to try an export.

I worked on org.eclipse.wst.xml.ui.
I used the Export Wizard, I generated the JAR and then copied the output JAR inside eclipse/plugins folder but it does not work. What I means is that my plugin (which has the same name of the original one: org.eclipse.wst.xml.ui) is not loaded.

How can I solve it?

Thanks
Marco

[Updated on: Mon, 04 July 2011 14:08]

Report message to a moderator

Re: Sign plugin [message #692742 is a reply to message #692476] Tue, 05 July 2011 06:53 Go to previous messageGo to next message
Martin Skorsky is currently offline Martin SkorskyFriend
Messages: 112
Registered: July 2009
Senior Member
copying a plug-in into the plugins folder does not work, because p2 is not aware of this. Using the dropins folder should work. the new plug-in should have a higher version number than the old one.
Re: Sign plugin [message #692765 is a reply to message #692742] Tue, 05 July 2011 07:42 Go to previous message
MarcoGT  is currently offline MarcoGT Friend
Messages: 77
Registered: May 2011
Member
I tried to copy org.eclipse.wst.xml.ui.jar (with version number and qualifier) inside dropins folder by it does not work.

If I go to Help->About Eclipse and then look for XML editor I see that the plugin org.eclipse.wst.xml.ui.jar is still the old one.

It simply load the default XML editor, not the mine.
IF I delete (or rename) the default plugin from /plugins folder and maintain my plugin in /dropins folder then if I right click on an XML file I do not have XML Editor option.

I also tried with -debug and -clean in eclipse.ini but I have no relevant entries about my plug-in

I also noticed this thing: plug-in org.eclipse.wst.sse.ui has as prerequisites plug-in org.eclipse.wst.xml.iu [1.0.0, 1.2.0.)

Actually my plug-in org.eclipse.xml.ui has versio number 2.0.0+qualifier, could this be the reason?
Btw, I also tried to give a version number 1.2.0 but it doesn't work as well.


Thanks
Marco

[Updated on: Tue, 05 July 2011 08:37]

Report message to a moderator

Previous Topic:Plugin environment programmatically call right click action.
Next Topic:Re-installing plugin with same name and version gives error.
Goto Forum:
  


Current Time: Sun Aug 09 05:01:04 GMT 2020

Powered by FUDForum. Page generated in 0.23594 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top